<xsl:stylesheet version='1.0' xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<title>Untitled</title>
				<link rel="stylesheet" href="invoice.css"/>
			</head>
			<body>
				<div id="topbar"><xsl:apply-templates select="root/logo"/></div>
				<div id="content">
					<h1>Invoices</h1>
					<xsl:apply-templates select="root/accounts"/>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="root/logo">
		<img>
			<xsl:attribute name="src"><xsl:value-of select="src"/></xsl:attribute>
			<xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute>
			<xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute>
		</img>
	</xsl:template>
	<xsl:template match="root/accounts">
		<xsl:for-each select="invoice">
		<xsl:sort order="ascending" select="number"/> 
			<div class="invoice"><h2>
				<xsl:value-of select="details/client"/>
			</h2>
			<span class="date">
				<b>Invoice Date: </b>
				<xsl:value-of select="details/date"/>
			</span>
			<span class="number">
				<b>Invoice Number: </b><xsl:value-of select="details/number"/>
			</span>
			<br/>
			<div class="general">
				<b>Description: </b>
				<xsl:value-of select="job/description"/>
				<br/>
				<b>Cost: </b>
				$<xsl:value-of select="job/hours * job/rate"/>
				<br />
				<b>GST: </b>
				$<xsl:value-of select="(job/hours * job/rate) * 0.125"/><br />
				<b>Total: </b>
				$<xsl:value-of select="((job/hours * job/rate) * 0.125) + (job/hours * job/rate)"/>
			</div>
			</div>
							<br/>
				<br/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
